# JSXGraph 1.7.0 Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

Elements

Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Boxplot
- Button
- Cardinalspline
- Chart
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Comb
- Conic
- Curve
- Curve3D
- CurveDifference
- CurveIntersection
- CurveUnion
- Derivative
- Ellipse
- ForeignObject
- Functiongraph
- Functiongraph3D
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- ImplicitCurve
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.Board.infobox
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Chart
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Curve3D
- JXG.Dump
- JXG.EventEmitter
- JXG.Expect
- JXG.ForeignObject
- JXG.GeometryElement
- JXG.GeometryElement3D
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Legend
- JXG.Line
- JXG.Line3D
- JXG.Math
- JXG.Math.BoxQuadtree
- JXG.Math.Clip
- JXG.Math.Extrapolate
- JXG.Math.Geometry
- JXG.Math.ImplicitPlot
- JXG.Math.IntervalArithmetic
- JXG.Math.Metapost
- JXG.Math.Nlp
- JXG.Math.Numerics
- JXG.Math.Plot
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.ProbFuncs
- JXG.Math.Quadtree
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Plane3D
- JXG.Point
- JXG.Point3D
- JXG.Polygon
- JXG.PrefixParser
- JXG.Server
- JXG.Server.modules
- JXG.Surface3D
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.View3D
- JXG.VMLRenderer
- JXG.XML
- Label
- Legend
- Line
- Line3D
- Locus
- MajorArc
- MajorSector
- Measurement
- Metapostspline
- Midpoint
- MinorArc
- MinorSector
- mirrorelement
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelogram
- Parallelpoint
- ParametricSurface3D
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- Point3D
- PolarLine
- PolePoint
- Polygon
- PolygonalChain
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopefield
- Slopetriangle
- Smartlabel
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle
- Vectorfield
- Vectorfield3D
- View3D

# Namespace JXG.Math.Symbolic

↳ JXG.Math.Symbolic

Defined in: symbolic.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Math.Symbolic The JXG.Math.Symbolic namespace holds algorithms for symbolic computations.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.Math.Symbolic.clearSymbolicCoordinates(board) Clears all .symbolic.x and .symbolic.y members on every point of a given board.
<static> | JXG.Math.Symbolic.generatePolynomials(board, element, generateCoords) Generates polynomials for a part of the construction including all the points from that a specific element depends of.
<static> | JXG.Math.Symbolic.generateSymbolicCoordinatesPartial(board, element, variable, append) Generates symbolic coordinates for the part of a construction including all the elements from that a specific element depends of.
<static> | JXG.Math.Symbolic.geometricLocusByGroebnerBase(board, point) Calculate geometric locus of a point given on a board.

Namespace Detail
JXG.Math.Symbolic
The JXG.Math.Symbolic namespace holds algorithms for symbolic computations.
Method Detail
<static> JXG.Math.Symbolic.clearSymbolicCoordinates(board)
Clears all .symbolic.x and .symbolic.y members on every point of a given board.

Parameters:
{JXG.Board} board
  The board that's points get cleared their symbolic coordinates.

<static> {Array} JXG.Math.Symbolic.generatePolynomials(board, element, generateCoords)
Generates polynomials for a part of the construction including all the points from that a specific element depends of.

Parameters:
{JXG.Board} board
  The board that's points polynomials will be generated.
{JXG.GeometryElement} element
  All points in the set of ancestors of this element are used to generate the set of polynomials.
{Boolean} generateCoords

Returns:
  {Array} An array of polynomials as strings.

<static> {Number} JXG.Math.Symbolic.generateSymbolicCoordinatesPartial(board, element, variable, append)
Generates symbolic coordinates for the part of a construction including all the elements from that a specific element depends of. These coordinates will be stored in GeometryElement.symbolic.

Parameters:
{JXG.Board} board
  The board that's element get some symbolic coordinates.
{JXG.GeometryElement} element
  All ancestor of this element get symbolic coordinates.
{String} variable
  Name for the coordinates, e.g. x or u.
{String} append
  Method for how to append the number of the coordinates. Possible values are 'underscore' (e.g. x_2), 'none' (e.g. x2), 'brace' (e.g. x[2]).

Returns:
  {Number} Number of coordinates given.

<static> {Array} JXG.Math.Symbolic.geometricLocusByGroebnerBase(board, point)
Calculate geometric locus of a point given on a board. Invokes python script on server.

Parameters:
{JXG.Board} board
  The board on which the point lies.
{JXG.Point} point
  The point that will be traced.

Returns:
  {Array} An array of points.

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Feb 15 2024 17:48:02 GMT+0000 (Coordinated Universal Time)